Unable to restart after auto update to 9.4.216

07:43:25 INFO::CORE::Performing disk space checks
07:43:25 INFO::CORE::Loading encrypted config from disk
07:43:26 INFO::CORE::Performing integrity check on main database
07:43:26 INFO::CORE::Performing migrations on main database
07:43:26 INFO::CORE::Performing sync on main database
Traceback (most recent call last):
File “/home/mel/.local/lib/python3.8/site-packages/sqlalchemy/util/_collections.py”, line 210, in getattr
return self._data[key]
KeyError: ‘show_id’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/sickrage-master/sickrage/init.py”, line 412, in main
app.start()
File “/opt/sickrage-master/sickrage/core/init.py”, line 279, in start
db.sync_db_repo()
File “/opt/sickrage-master/sickrage/core/databases/init.py”, line 186, in sync_db_repo
api.upgrade(self.engine, self.db_repository)
File “/home/mel/.local/lib/python3.8/site-packages/migrate/versioning/api.py”, line 186, in upgrade
return _migrate(url, repository, version, upgrade=True, err=err, **opts)
File “”, line 2, in _migrate
File “/home/mel/.local/lib/python3.8/site-packages/migrate/versioning/util/init.py”, line 167, in with_engine
return f(*a, **kw)
File “/home/mel/.local/lib/python3.8/site-packages/migrate/versioning/api.py”, line 366, in _migrate
schema.runchange(ver, change, changeset.step)
File “/home/mel/.local/lib/python3.8/site-packages/migrate/versioning/schema.py”, line 93, in runchange
change.run(self.engine, step)
File “/home/mel/.local/lib/python3.8/site-packages/migrate/versioning/script/py.py”, line 154, in run
script_func(engine)
File “/opt/sickrage-master/sickrage/core/databases/main/db_repository/versions/016_Merge_Scene_Numbering_Table_With_TVEpisodes_Table.py”, line 18, in upgrade
tv_episodes.c.show_id == row.indexer_id,
File “/home/mel/.local/lib/python3.8/site-packages/sqlalchemy/util/_collections.py”, line 212, in getattr
raise AttributeError(key)
AttributeError: show_id

Pushing a fix out for this typo now, thanks!

Downloaded the latest tar.gz and now this error happens.

/usr/bin/python3 /opt/sickrage-master/SiCKRAGE.py --datadir=/home/mel/.sickrage
Updating requirement python_dateutil to 2.7.5
Defaulting to user installation because normal site-packages is not writeable
Collecting python_dateutil==2.7.5
Downloading python_dateutil-2.7.5-py2.py3-none-any.whl (225 kB)
|████████████████████████████████| 225 kB 2.3 MB/s
Collecting six>=1.5
Downloading six-1.15.0-py2.py3-none-any.whl (10 kB)
Installing collected packages: six, python-dateutil
ERROR: After October 2020 you may experience errors when installing or updating packages. This is because pip will change the way that it resolves dependency conflicts.

We recommend you use --use-feature=2020-resolver to test your packages with the new resolver before it becomes the default.

launchpadlib 1.10.13 requires testresources, which is not installed.
Successfully installed python-dateutil-2.8.1 six-1.15.0
09:07:10 INFO::CORE::Performing disk space checks
09:07:10 INFO::CORE::Loading encrypted config from disk
09:07:11 INFO::CORE::Performing integrity check on main database
09:07:11 INFO::CORE::Performing migrations on main database
09:07:11 INFO::CORE::Performing sync on main database
Traceback (most recent call last):
File “/opt/sickrage-master/sickrage/init.py”, line 412, in main
app.start()
File “/opt/sickrage-master/sickrage/core/init.py”, line 279, in start
db.sync_db_repo()
File “/opt/sickrage-master/sickrage/core/databases/init.py”, line 186, in sync_db_repo
api.upgrade(self.engine, self.db_repository)
File “/home/mel/.local/lib/python3.8/site-packages/migrate/versioning/api.py”, line 186, in upgrade
return _migrate(url, repository, version, upgrade=True, err=err, **opts)
File “”, line 2, in _migrate
File “/home/mel/.local/lib/python3.8/site-packages/migrate/versioning/util/init.py”, line 167, in with_engine
return f(*a, **kw)
File “/home/mel/.local/lib/python3.8/site-packages/migrate/versioning/api.py”, line 366, in _migrate
schema.runchange(ver, change, changeset.step)
File “/home/mel/.local/lib/python3.8/site-packages/migrate/versioning/schema.py”, line 93, in runchange
change.run(self.engine, step)
File “/home/mel/.local/lib/python3.8/site-packages/migrate/versioning/script/py.py”, line 154, in run
script_func(engine)
File “/opt/sickrage-master/sickrage/core/databases/main/db_repository/versions/016_Merge_Scene_Numbering_Table_With_TVEpisodes_Table.py”, line 17, in upgrade
conn.execute(tv_episodes.update().where(
TypeError: where() takes 2 positional arguments but 4 were given

Can you send me your database files please to [email protected]

Thanks, I was able to resolve the issue and have pushed out a fix now, should hit master branch shortly, after upgrading can you please confirm this issue resolved.

I found 9.14.218-dev1 and that does work!

1 Like